LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Static Public Member Functions | Friends | List of all members
lldb::SBWatchpoint Class Reference

`#include <SBWatchpoint.h>`

## Public Member Functions

| SBWatchpoint ()
| SBWatchpoint (const lldb::SBWatchpoint &rhs)
| SBWatchpoint (const lldb::WatchpointSP &wp_sp)
| ~SBWatchpoint ()
const lldb::SBWatchpoint & | operator= (const lldb::SBWatchpoint &rhs)
bool | IsValid () const
SBError | GetError ()
watch_id_t | GetID ()
int32_t | GetHardwareIndex ()
| With -1 representing an invalid hardware index.
lldb::addr_t | GetWatchAddress ()
size_t | GetWatchSize ()
void | SetEnabled (bool enabled)
bool | IsEnabled ()
uint32_t | GetHitCount ()
uint32_t | GetIgnoreCount ()
void | SetIgnoreCount (uint32_t n)
const char * | GetCondition ()
void | SetCondition (const char *condition)
bool | GetDescription (lldb::SBStream &description, DescriptionLevel level)
void | Clear ()
lldb::WatchpointSP | GetSP () const
void | SetSP (const lldb::WatchpointSP &sp)

## Static Public Member Functions

static bool | EventIsWatchpointEvent (const lldb::SBEvent &event)
static lldb::WatchpointEventType | GetWatchpointEventTypeFromEvent (const lldb::SBEvent &event)
static lldb::SBWatchpoint | GetWatchpointFromEvent (const lldb::SBEvent &event)

## Friends

class | SBTarget
class | SBValue

## Detailed Description

Definition at line 17 of file SBWatchpoint.h.

## Constructor & Destructor Documentation

lldb::SBWatchpoint::SBWatchpoint | ( |  | ) |

lldb::SBWatchpoint::SBWatchpoint | ( | const lldb::SBWatchpoint & | rhs | ) |

lldb::SBWatchpoint::SBWatchpoint | ( | const lldb::WatchpointSP & | wp_sp | ) |

lldb::SBWatchpoint::~SBWatchpoint | ( |  | ) |

## Member Function Documentation

void lldb::SBWatchpoint::Clear | ( |  | ) |

static bool lldb::SBWatchpoint::EventIsWatchpointEvent | ( | const lldb::SBEvent & | event | ) |

static

const char* lldb::SBWatchpoint::GetCondition | ( |  | ) |

bool lldb::SBWatchpoint::GetDescription | ( | lldb::SBStream & | description,
|  | DescriptionLevel | level
| ) |  |

SBError lldb::SBWatchpoint::GetError | ( |  | ) |

int32_t lldb::SBWatchpoint::GetHardwareIndex | ( |  | ) |

With -1 representing an invalid hardware index.

uint32_t lldb::SBWatchpoint::GetHitCount | ( |  | ) |

watch_id_t lldb::SBWatchpoint::GetID | ( |  | ) |

uint32_t lldb::SBWatchpoint::GetIgnoreCount | ( |  | ) |

lldb::WatchpointSP lldb::SBWatchpoint::GetSP | ( |  | ) | const

lldb::addr_t lldb::SBWatchpoint::GetWatchAddress | ( |  | ) |

static lldb::WatchpointEventType lldb::SBWatchpoint::GetWatchpointEventTypeFromEvent | ( | const lldb::SBEvent & | event | ) |

static

static lldb::SBWatchpoint lldb::SBWatchpoint::GetWatchpointFromEvent | ( | const lldb::SBEvent & | event | ) |

static

size_t lldb::SBWatchpoint::GetWatchSize | ( |  | ) |

bool lldb::SBWatchpoint::IsEnabled | ( |  | ) |

bool lldb::SBWatchpoint::IsValid | ( |  | ) | const

const lldb::SBWatchpoint& lldb::SBWatchpoint::operator= | ( | const lldb::SBWatchpoint & | rhs | ) |

void lldb::SBWatchpoint::SetCondition | ( | const char * | condition | ) |

void lldb::SBWatchpoint::SetEnabled | ( | bool | enabled | ) |

void lldb::SBWatchpoint::SetIgnoreCount | ( | uint32_t | n | ) |

void lldb::SBWatchpoint::SetSP | ( | const lldb::WatchpointSP & | sp | ) |

## Friends And Related Function Documentation

friend class SBTarget

friend

Definition at line 94 of file SBWatchpoint.h.

friend class SBValue

friend

Definition at line 95 of file SBWatchpoint.h.

The documentation for this class was generated from the following file:

- SBWatchpoint.h